package com.doverfuelingsolutions.issp.api.service

import com.doverfuelingsolutions.issp.api.WayneApiConfig
import com.doverfuelingsolutions.issp.api.dto.ResultBarcode
import com.doverfuelingsolutions.issp.api.dto.ResultDeviceSessionInfo
import okhttp3.ResponseBody
import retrofit2.Call
import retrofit2.http.*

interface ServiceBase {

    @GET(WayneApiConfig.PATH_BASE_DEVICE_SESSION)
    fun deviceSessionInfo(@Query("deviceSN") sn: String): Call<ResultDeviceSessionInfo>

    @GET(WayneApiConfig.PATH_BARCODE)
    fun barcodeInfo(@Path("id") id: Int): Call<ResultBarcode>
}