package com.doverfuelingsolutions.issp.api.service

import com.doverfuelingsolutions.issp.api.dto.ResultPumpInfo
import com.doverfuelingsolutions.issp.api.entity.DefaultParams
import retrofit2.Call
import retrofit2.http.Body
import retrofit2.http.POST

interface ServiceStation {

    @POST("u/?mn=GetPumpsLayout&pn=fdcServerApp&en=Applications.FDC.FdcServerHostApp")
    fun getNozzleInfo(@Body params: DefaultParams = DefaultParams(emptyList())): Call<Array<ResultPumpInfo>>
}