package com.doverfuelingsolutions.issp.view.fragment

import androidx.core.os.bundleOf
import androidx.fragment.app.Fragment
import androidx.fragment.app.setFragmentResult
import com.doverfuelingsolutions.issp.utils.log.DFSLog
import com.doverfuelingsolutions.issp.view.MainActivity
import com.doverfuelingsolutions.issp.view.widget.FragmentToolbar

abstract class FragmentBasic : Fragment() {

    fun setToolBar(toolbar: FragmentToolbar) {
        toolbar.setBackHandler { back() }
        toolbar.setOnCountdownFinish { home() }
        toolbar.setHomeHandler { home() }
    }

    private fun back() {
        setFragmentResult(
            FragmentConstants.fragmentEvent,
            bundleOf(Pair(FragmentConstants.eventType, FragmentConstants.eventBack))
        )
    }

    private fun home() {
        setFragmentResult(
            FragmentConstants.fragmentEvent,
            bundleOf(Pair(FragmentConstants.eventType, FragmentConstants.eventHome))
        )
    }
}